package cn.quant.baa.pay.acquirer;

import cn.quant.baa.pay.jpa.entity.PayHistoryEntity;
import cn.quant.baa.pay.model.web.PayRequestData;
import com.fasterxml.jackson.databind.JsonNode;

/**
 * Created by Administrator on 2021/9/1 0001.
 */
public interface Acquirer {
    Object code();

    JsonNode pay(PayRequestData payRequestData, PayHistoryEntity payHistoryEntity);
    void refund();
    void check();
    void close();
}
